#include "veriuser.h"
#include "vxl_veriuser.h"

char *veriuser_version_str = "Includes $getpat routines\n";

int (*endofcompile_routines[TF_MAXARRAY])() = 
{
    /*** my_eoc_routine, ***/
    0 /*** final entry must be 0 ***/
};

bool err_intercept(level,facility,code)
int level; char *facility; char *code;
{ return(true); }

extern int getpat_size32();
extern int getpat_open_check();
extern int getpat_open_call();
extern int getpat_next_check();
extern int getpat_next_call();
extern int getpat_close_check();
extern int getpat_close_call();
extern int getpat_options_check();
extern int getpat_options_call();

s_tfcell veriusertfs[TF_MAXARRAY] =
{
    /*** Template for an entry:
    { usertask|userfunction, data,
      checktf(), sizetf(), calltf(), misctf(),
      "$tfname", forwref?, Vtool?, ErrMsg? },
    Example:
    { usertask, 0, my_check, 0, my_func, my_misctf, "$my_task" },
    ***/

    /*** add user entries here ***/
    {userfunction, 0, getpat_open_check, getpat_size32, getpat_open_call,  0, "$getpat_open"},
    {userfunction, 0, getpat_next_check, getpat_size32, getpat_next_call,  0, "$getpat_next"},
    {usertask,     0, getpat_close_check, 0,     getpat_close_call, 0, "$getpat_close"},
    {usertask,     0, getpat_options_check, 0,   getpat_options_call, 0, "$getpat_options"},

    {0} /*** final entry must be 0 ***/
};


